<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li class="current"><a href="functions_func_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_0x7e.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_0x7e"></a>- ~ -</h3><ul>
<li>~ClientManager()
: <a class="el" href="classerpc_1_1_client_manager.html#afef2a91be41f438b9da9de9127557fae">erpc::ClientManager</a>
</li>
<li>~Codec()
: <a class="el" href="classerpc_1_1_codec.html#ad4799bf9411c7fbec26082f0143abb1b">erpc::Codec</a>
</li>
<li>~CodecFactory()
: <a class="el" href="classerpc_1_1_codec_factory.html#aa1a43657104faa343ca4e578bc9c55b3">erpc::CodecFactory</a>
</li>
<li>~FramedTransport()
: <a class="el" href="classerpc_1_1_framed_transport.html#a1c256e694803a2d47f013230b947d312">erpc::FramedTransport</a>
</li>
<li>~MessageBufferFactory()
: <a class="el" href="classerpc_1_1_message_buffer_factory.html#ac2b0d9092be2a6e757dcc4bdc8baefd5">erpc::MessageBufferFactory</a>
</li>
<li>~RPMsgZCMessageBufferFactory()
: <a class="el" href="class_r_p_msg_z_c_message_buffer_factory.html#a2a4f0c9414933a12014d13d4e1dcb2f7">RPMsgZCMessageBufferFactory</a>
</li>
<li>~RPMsgZCRTOSTransport()
: <a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#a808579d9f7b54d1ca4fa1665285663f7">erpc::RPMsgZCRTOSTransport</a>
</li>
<li>~RPMsgZCTransport()
: <a class="el" href="classerpc_1_1_r_p_msg_z_c_transport.html#abba352436bfdd1386e710c5a04267e8c">erpc::RPMsgZCTransport</a>
</li>
<li>~Server()
: <a class="el" href="classerpc_1_1_server.html#ad5cee0a2e099df621576db4e82db4bc1">erpc::Server</a>
</li>
<li>~Service()
: <a class="el" href="classerpc_1_1_service.html#a4fbd5171a6b29560d2ca3bf3aad3020b">erpc::Service</a>
</li>
<li>~SimpleServer()
: <a class="el" href="classerpc_1_1_simple_server.html#a352a2f5a067fc8c2e2f572f79fa28c70">erpc::SimpleServer</a>
</li>
<li>~StaticMessageBufferFactory()
: <a class="el" href="class_static_message_buffer_factory.html#a783cdf96bee95f9dccf42ee13b3ede97">StaticMessageBufferFactory</a>
</li>
<li>~StaticQueue()
: <a class="el" href="classerpc_1_1_static_queue.html#a617c898a5cc2ca37a4bf09a293b9bfaa">erpc::StaticQueue&lt; T, elementCount &gt;</a>
</li>
<li>~TCPTransport()
: <a class="el" href="classerpc_1_1_t_c_p_transport.html#ac7ac3fba583c8cb75dbccdef444df964">erpc::TCPTransport</a>
</li>
<li>~Transport()
: <a class="el" href="classerpc_1_1_transport.html#ac75843918e2fbe211430cf5973caac47">erpc::Transport</a>
</li>
<li>~TransportFactory()
: <a class="el" href="classerpc_1_1_transport_factory.html#a6073a2bfc030b98415dee40f7c6dcea3">erpc::TransportFactory</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
